Bug 1299170 - [abrt] PackageKit: traverse_dirs(): packagekitd killed by SIGSEGV
[abrt] PackageKit: traverse_dirs(): packagekitd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a9b94452c038988f77656d1acf2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 16:54 EST by federicobonetto67
Modified: 2016-12-20 12:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.21 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: cgroup (210 bytes, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: core_backtrace (11.66 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: dso_list (7.17 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: environ (120 bytes, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: maps (34.13 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: mountinfo (3.22 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: open_fds (3.68 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: proc_pid_status (1002 bytes, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details
File: var_log_messages (13.37 KB, text/plain)
2016-01-16 16:55 EST, federicobonetto67
no flags Details

  None (edit)
Description federicobonetto67 2016-01-16 16:54:57 EST
Description of problem:
When I opened PakageKit

Version-Release number of selected component:
PackageKit-1.0.11-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: traverse_dirs
executable:     /usr/libexec/packagekitd
global_pid:     2203
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 traverse_dirs at /usr/src/debug/python3-libsolv-0.6.14-7.fc23/src/repo_write.c:951
 #4 repo_write_filtered at /usr/src/debug/python3-libsolv-0.6.14-7.fc23/src/repo_write.c:1727
 #5 repo_write at /usr/src/debug/python3-libsolv-0.6.14-7.fc23/src/repo_write.c:2083
 #6 write_main at /usr/src/debug/hawkey-0.6.2/py3/src/sack.c:426
 #7 rewrite_repos at /usr/src/debug/hawkey-0.6.2/py3/src/sack.c:1135
 #8 sack_make_provides_ready at /usr/src/debug/hawkey-0.6.2/py3/src/sack.c:1155
 #9 solve at /usr/src/debug/hawkey-0.6.2/py3/src/goal.c:238
 #10 hy_goal_run_all_flags at /usr/src/debug/hawkey-0.6.2/py3/src/goal.c:826
 #11 hy_goal_run_flags at /usr/src/debug/hawkey-0.6.2/py3/src/goal.c:812
 #12 hif_goal_depsolve at hif-goal.c:58
Comment 1 federicobonetto67 2016-01-16 16:55:02 EST
Created attachment 1115513 [details]
File: backtrace
Comment 2 federicobonetto67 2016-01-16 16:55:04 EST
Created attachment 1115514 [details]
File: cgroup
Comment 3 federicobonetto67 2016-01-16 16:55:05 EST
Created attachment 1115515 [details]
File: core_backtrace
Comment 4 federicobonetto67 2016-01-16 16:55:06 EST
Created attachment 1115516 [details]
File: dso_list
Comment 5 federicobonetto67 2016-01-16 16:55:07 EST
Created attachment 1115517 [details]
File: environ
Comment 6 federicobonetto67 2016-01-16 16:55:08 EST
Created attachment 1115518 [details]
File: exploitable
Comment 7 federicobonetto67 2016-01-16 16:55:09 EST
Created attachment 1115519 [details]
File: limits
Comment 8 federicobonetto67 2016-01-16 16:55:10 EST
Created attachment 1115520 [details]
File: maps
Comment 9 federicobonetto67 2016-01-16 16:55:11 EST
Created attachment 1115521 [details]
File: mountinfo
Comment 10 federicobonetto67 2016-01-16 16:55:12 EST
Created attachment 1115522 [details]
File: namespaces
Comment 11 federicobonetto67 2016-01-16 16:55:13 EST
Created attachment 1115523 [details]
File: open_fds
Comment 12 federicobonetto67 2016-01-16 16:55:14 EST
Created attachment 1115524 [details]
File: proc_pid_status
Comment 13 federicobonetto67 2016-01-16 16:55:15 EST
Created attachment 1115525 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:59:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:56:47 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.